local width = 100
minim = Turbine.UI.Window()
local iconSize = 32
minim.size = iconSize
minim:SetSize(width,iconSize+50)
minim:SetVisible(false)
minim:SetMouseVisible(true)

minim.bg = Turbine.UI.Control()
minim.bg:SetParent(minim)
minim.bg:SetSize(iconSize,iconSize)
minim.bg:SetPosition((width-iconSize)/2,0)
minim.bg:SetMouseVisible(false)

minim.icon = Turbine.UI.Control()
minim.icon:SetParent(minim)
minim.icon:SetSize(iconSize,iconSize)
minim.icon:SetPosition((width-iconSize)/2,0)

minim.text = Turbine.UI.Label()
minim.text:SetParent(minim)
minim.text:SetSize(width,50)
minim.text:SetPosition(0,iconSize)
minim.text:SetText("Hello")
minim.text:SetVisible(false)
minim.text:SetTextAlignment(Turbine.UI.ContentAlignment.TopCenter)

minim.text:SetFont(Turbine.UI.Lotro.Font.TrajanPro14)


minim.visible = true --when false then don't show at all
minim.icon:SetMouseVisible(false)

function minim.MouseEnter(self)
   self.text:SetVisible(true)
   if self.visible then
      self:SetOpacity(1)
   else
      self:SetOpacity(0)
   end
end
function minim.MouseLeave(self)
   self.text:SetVisible(false)
   if self.visible then
      self:SetOpacity(0.5)
   else
      self:SetOpacity(0)
   end
end

minim.show = function(self)
   self:SetVisible(multipleTools)
   local y = self.window:GetTop()
   local x = self.window:GetLeft() + self.window:GetWidth()/2 - self.size/2
   self:SetPosition(x,y)
end
minim.hide = function(self)
   self:SetVisible(false)
end

minim.MouseDown = function(sender,args)
   sender.mousedown = true
   sender.start = {}
   sender.start.dx = args.X
   sender.start.dy = args.Y
end
minim.MouseMove = function(sender,args)
   if sender.mousedown then
      sender.moved = true
      --local newx = sender.start.x + args.X
      --local newy = sender.start.y + args.Y
      local curx,cury = sender:GetPosition()
      sender:SetPosition(curx + args.X - sender.start.dx,cury + args.Y-sender.start.dy)
   end
end
minim.MouseUp = function(sender,args)
   sender.mousedown = false
   if (not sender.moved) then
      sender:click()
   else
      local x = sender:GetLeft() + sender.size/2 - sender.window:GetWidth()/2
      local y = sender:GetTop()
      minim.window:SetPosition(x,y)
      sender.moved = false
   end
end
   
minim.attach = function(self,window,icon)
   self.bg:SetBackColor(Turbine.UI.Color(0.8,0.8,0.8));
   self.icon:SetBlendMode(Turbine.UI.BlendMode.AlphaBlend);
   
   --self.icon:SetBackground(icon)
   self.icon:SetVisible(true)
   minim.window = window
   window.icon = minim
   self.click = function(self)
      self.window:show()
   end
   window.show = function(self)
      window:SetVisible(true)
      window.icon:hide()
   end
   window.Closing = function(self)
         self.icon:show()
   end
end
